# TODO:
# - examples subpackage
#
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		fname	Mako
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Name:		python-%{fname}
Version:	1.0.4
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/Mako/
Source0:	https://pypi.python.org/packages/source/M/Mako/%{fname}-%{version}.tar.gz
# Source0-md5:	c5fc31a323dd4990683d2f2da02d4e20
URL:		http://www.makotemplates.org/
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%package -n python3-%{fname}
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{fname}
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -n python3-%{fname} -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%prep
%setup -qn %{fname}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/mako-render{,-2}

%py_postclean
%endif

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/mako-render{,-3}
%endif

%if %{with python2}
ln -sf mako-render-2 $RPM_BUILD_ROOT%{_bindir}/mako-render
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render
%attr(755,root,root) %{_bindir}/mako-render-2
%{py_sitescriptdir}/mako
%{py_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{fname}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render-3
%{py3_sitescriptdir}/mako
%{py3_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Mako.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e06e1a3
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> e32fc0d
- updated to 1.0.4

* Sat Feb 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 501694b
- replaced python3-distribute with -setuptools

* Sat Feb 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e252456
- Update to 1.0.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5ca754e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> baa4718
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c9fac70
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 366929b
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5eadb15
- python 3.5 rebuild
- release 2 (by relup.sh)

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> f0e377c
- updated to 1.0.1

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f8fda25
- python 3.4
- release 2 (by relup.sh)

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> bfbcb67
- updated to 0.9.1

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> dfef542
- updated to 0.9.0

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 8319a0a
- up to 0.7.3

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 711dac7
- release 2 (by relup.sh)

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 4412903
- updated to 0.7.2

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 81d83ea
- Version: 0.4.1

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> dd250cc
- up to 0.3.6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7a3e8df
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8da2c16
- release 2

